datacache <- new.env(hash=TRUE, parent=emptyenv())

hi16cod <- function() showQCData("hi16cod", datacache)
hi16cod_dbconn <- function() dbconn(datacache)
hi16cod_dbfile <- function() dbfile(datacache)
hi16cod_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hi16cod_dbInfo <- function() dbInfo(datacache)

hi16codORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hi16cod.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("hi16cod", "chip hi16cod", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hi16cod_dbconn())
}

